ruby-ffi 安全漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1210510 漏洞类型
发布时间 2018-06-25 更新时间 2019-07-19
CVE编号 CVE-2018-1000201 CNNVD-ID CNNVD-201806-1153
漏洞平台 N/A CVSS评分 N/A
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201806-1153
|漏洞详情
ruby-ffi是一款Ruby扩展,它能够以编程方式加载动态库、绑定函数并从Ruby代码中调用这些函数。 ruby-ffi 1.9.23及之前版本中存在安全漏洞。攻击者可利用该漏洞劫持DLL。
|参考资料

来源:github.com

链接:https://github.com/ffi/ffi/commit/09e0c6076466b4383da7fa4e13f714311109945a


来源:github.com

链接:https://github.com/ffi/ffi/commit/e0fe486df0e117ed67b0282b6ada04b7214ca05c